// 蓝牙超时处理模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-5-3

#ifndef __WIFI_BLE_EXPIRE_H__
#define __WIFI_BLE_EXPIRE_H__

#include "sysdef.h"

// 外部使用接口
void ble_expire_main(uint8 *pbyData);

// 内部使用接口
void ble_expire_no_param();
void ble_expire_resend_at_no_param(void (*pFuncPtr)(), uint8 byRstFlag);
void ble_expire_resend_at_one_int_param(void (*pFuncPtr)(int), int dwData);
void ble_expire_resend_at_one_char_param(void (*pFuncPtr)(char *), char *pbyData);
void ble_expire_resend_at_two_char_param(void (*pFuncPtr)(char *, char *), char *pbyData1, char *pbyData2, uint8 byRstFlag);
void ble_expire_resend_at_two_param(void (*pFuncPtr)(char *, uint16), char *pbyData, uint16 wParam, uint8 byRstFlag);
#endif
